edu.sc.seis.sod.status.networkArm

## Class StationsInNetworkTemplate

- java.lang.Object
- - edu.sc.seis.sod.status.Template
  - - edu.sc.seis.sod.status.FileWritingTemplate
    - - edu.sc.seis.sod.status.networkArm.NetworkInfoTemplate
      - - edu.sc.seis.sod.status.networkArm.StationsInNetworkTemplate

- All Implemented Interfaces:
    GenericTemplate, java.lang.Runnable

      public class StationsInNetworkTemplate
      extends NetworkInfoTemplate

- - ### Field Summary

    - ### Fields inherited from class edu.sc.seis.sod.status.Template

      `templates`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StationsInNetworkTemplate(org.w3c.dom.Element el, java.lang.String baseDir, java.lang.String outputLocation, edu.iris.Fissures.IfNetwork.NetworkAttr net)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `change(edu.iris.Fissures.IfNetwork.Station station, Status status)`
    `edu.iris.Fissures.IfNetwork.NetworkAttr` | `getNetwork()`
    `protected java.lang.Object` | `getTemplate(java.lang.String tag, org.w3c.dom.Element el)` if this class has an template for this tag, it creates it using the passed in element and returns it.

    - ### Methods inherited from class edu.sc.seis.sod.status.networkArm.NetworkInfoTemplate

      `write`

    - ### Methods inherited from class edu.sc.seis.sod.status.FileWritingTemplate

      `getBaseDirectoryName, getFilename, getOutputDirectory, getOutputLocation, getResult, run, testOutputLoc, textTemplate, toString, write`

    - ### Methods inherited from class edu.sc.seis.sod.status.Template

      `getCommonTemplate, parse, parse, setUp`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### StationsInNetworkTemplate

          public StationsInNetworkTemplate(org.w3c.dom.Element el,
                                           java.lang.String baseDir,
                                           java.lang.String outputLocation,
                                           edu.iris.Fissures.IfNetwork.NetworkAttr net)
                                    throws java.io.IOException,
                                           ConfigurationException

      Throws:
        `java.io.IOException`
        `ConfigurationException`

  - ### Method Detail

    - #### getTemplate

          protected java.lang.Object getTemplate(java.lang.String tag,
                                                 org.w3c.dom.Element el)
                                          throws ConfigurationException

      if this class has an template for this tag, it creates it using the passed in element and returns it. Otherwise it returns null.
      Overrides:
        `getTemplate` in class `FileWritingTemplate`
      Throws:
        `ConfigurationException`

    - #### change

          public void change(edu.iris.Fissures.IfNetwork.Station station,
                             Status status)

    - #### getNetwork

          public edu.iris.Fissures.IfNetwork.NetworkAttr getNetwork()